From: James Jones/Nibbles and Bits <[email-masked]>
To: [email-masked]
Date: Fri, 23 Jun 1995 12:13:29 -0600

[email-masked] said:

>    I made two curves using the sketch tool and put them in background 
>layers. I put a disc in the foreground, oriented it in the correct position
>(with the normal in the correct direction), but when extruded it goes 
>everywhere. I've tried changing the direction of the disc normal, the 
>direction of the curves (starting ends), I've tried it with both curves in 
>the same layer and in separate layers; I've tried it with the curves 
>overlapping each other and with a point from each curve merged so there is
>a common point on the two curves.
   
   Sounds like you're doing it right...
   Try making a disk in layer 1 (Face view) facing the Z axis, about 
200mm in radius, centered on the origin. Then make a curve in layer 2 
(Top view) that starts at x=200m and squiggles back toward the 
positive Z a ways. Then Mirror that curve accross to the other side of 
the Z axis. If you then go back to layer 1, with layer 2 as a 
background layer, and do Rail Extrude it should work fine... giving 
you an tube that expands and contracts in an approximate match to the 
curves in the background.
   One thing that might cause the "goes everywhere" problem is having 
"Strength" turned up too high. Useful values seem to top out at 10.
   I don't think merging two points from the curves will do you any 
good... I just tried that to see what would happen and got a BAD result.
   It doesn't matter if the backgound curves are in the same layer or 
different layers.
   
>    Any suggestions from out there? Anybody had any luck with this 
>feature? Anybody with a short tutorial? For example, how would I take two 
>curves and shape them to form a letter, say "Y", and extrude a disc so that
>the finished product is shaped like the letter "Y" but with a tubular cross
>sectional shape?

   The letter Y doesn't lend itself to being make with Rail Extrude 
too well... if you rail extruded a disk at the base of two curves that 
follow the upright portions of the Y, you'll get something like a 
funnel, not a Y.
   You'd get better results in this particular example by making three 
normal tubes and doing a boolean Union to connect them up where they 
meet at the fork in the Y.
   
   Good luck,
   -Jim
James G. Jones
Nibbles & Bits
[email-masked]
___
* UniQWK #5134* 
                                                                                             
--
James Jones/Nibbles and Bits <[email-masked]> sent this message.
To Post a Message           : [email-masked]
Un/Subscription Requests To : [email-masked]
(DIGEST)                 or : [email-masked]
Administrative Items To     : [email-masked]